auths
List auths
Returns a paginated list of auths in a gateway.
GET
/
v1
/
gateways
/
{gateway_id}
/
auths
Error
A valid request URL is required to generate request examples{
"items": [
{
"api_key": "<string>",
"config": {
"mtls": {
"allowed_common_names": [
"<string>"
],
"allowed_dns_names": [
"<string>"
],
"allowed_fingerprints": [
"<string>"
],
"ca_cert": "<string>"
},
"oauth2": {
"allowed_algorithms": [
"<string>"
],
"audiences": [
"<string>"
],
"authorize_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"introspection_url": "<string>",
"issuer": "<string>",
"jwks_url": "<string>",
"required_scopes": [
"<string>"
],
"session_mode": true,
"subject_claim": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>"
},
"oidc": {
"allowed_algorithms": [
"<string>"
],
"audiences": [
"<string>"
],
"issuer": "<string>",
"jwks_url": "<string>",
"public_keys": [
"<string>"
],
"required_scopes": [
"<string>"
],
"subject_claim": "<string>"
}
},
"created_at": "<string>",
"enabled": true,
"gateway_id": "<string>",
"id": "<string>",
"key_prefix": "<string>",
"key_suffix": "<string>",
"name": "<string>",
"type": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
Gateway id
Query Parameters
Substring match on name (alias: name)
Alias of search
Filter by auth type (api_key, oauth2, oidc, mtls)
Filter by enabled flag
Sort field (name, created_at, updated_at, type)
Sort order (asc, desc)
Page number (1-based)
Page size
⌘I
Error
A valid request URL is required to generate request examples{
"items": [
{
"api_key": "<string>",
"config": {
"mtls": {
"allowed_common_names": [
"<string>"
],
"allowed_dns_names": [
"<string>"
],
"allowed_fingerprints": [
"<string>"
],
"ca_cert": "<string>"
},
"oauth2": {
"allowed_algorithms": [
"<string>"
],
"audiences": [
"<string>"
],
"authorize_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"introspection_url": "<string>",
"issuer": "<string>",
"jwks_url": "<string>",
"required_scopes": [
"<string>"
],
"session_mode": true,
"subject_claim": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>"
},
"oidc": {
"allowed_algorithms": [
"<string>"
],
"audiences": [
"<string>"
],
"issuer": "<string>",
"jwks_url": "<string>",
"public_keys": [
"<string>"
],
"required_scopes": [
"<string>"
],
"subject_claim": "<string>"
}
},
"created_at": "<string>",
"enabled": true,
"gateway_id": "<string>",
"id": "<string>",
"key_prefix": "<string>",
"key_suffix": "<string>",
"name": "<string>",
"type": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}